edit packages standard
DBAsupport.com Forums - Powered by vBulletin
Results 1 to 3 of 3

Thread: edit packages standard

  1. #1
    Join Date
    Sep 2003
    Location
    Washington DC area
    Posts
    12

    Unhappy edit packages standard

    Hey DBA. I got one for ya.
    I use Oracle 9i enterprise manager to interface with a oracle 8.1.7 database. At loggin to EM I get a list of invalid packages. After going through the process of package veryfication I get the standard & dbms_standard packages are invalid. As you know, urlrp.sql(UTiLity script Recompile invalid Pl/sql modules) script cannot be run until both these packages are valid. Is there a way to trackdown the errors in the standard packages and edit them? Are there any issues that arise from the different versions.

  2. #2
    Join Date
    Oct 2003
    Location
    San Nicolás de los Gaza, México
    Posts
    3

    DBMS_STANDARD

    Hi Garry.

    Please provide the PLSQL_V2_COMPATIBILITY parameter value, try to change it to FALSE and try to compile your package again.

    Who is the owner of this package?

    Also try to run again the standard.sql script with SYS user, if you can't compile your package.

    HTH.

    Best regards.
    Francisco Martínez Oviedo.
    Oracle DBA & Developer
    OCP DBA 8 & 8i

  3. #3
    Join Date
    Aug 2002
    Location
    Colorado Springs
    Posts
    5,253
    Have you tried just using "ALTER PACKAGE ... COMPILE"?

    Editting these packages would be a very bad thing.
    David Aldridge,
    "The Oracle Sponge"

    Senior Manager, Business Intelligence Development
    XM Satellite Radio
    Washington, DC

    Oracle ACE

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  



Click Here to Expand Forum to Full Width